## ring 20160630.2.b3d131f

=== client-gnome/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)

# First, check is the compiler is new enough, most version of Clang are fine
# until problems arise, checking for GCC is enough
IF (CMAKE_COMPILER_IS_GNUCC)
   EXECUTE_PROCESS(COMMAND ${CMAKE_C_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
   IF (GCC_VERSION VERSION_GREATER 4.8 OR GCC_VERSION VERSION_EQUAL 4.8)
      MESSAGE(STATUS "Found GCC version >= 4.8: " ${GCC_VERSION})
   ELSE()
      MESSAGE(FATAL_ERROR "Your version of GCC is too old, please install GCC 4.8 or later")
   ENDIF()
ENDIF()

ADD_DEFINITIONS("-std=c++1y")

# set project name and version
PROJECT(ring-client-gnome)
SET(PROJECT_VERSION_MAJOR 1)
SET(PROJECT_VERSION_MINOR 0)
SET(PROJECT_VERSION_PATCH 0)

# add the binary tree to the search path for include files
# so that we will find config.h
INCLUDE_DIRECTORIES("${PROJECT_BINARY_DIR}")

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

# include custom cmake modules
INCLUDE(${CMAKE_SOURCE_DIR}/cmake/GResources.cmake)
INCLUDE(${CMAKE_SOURCE_DIR}/cmake/GSettings.cmake)

# make sure we're using Qt5
SET(ENABLE_QT5 true)

# for now, set debug as default
SET(CMAKE_BUILD_TYPE Debug)

# during packaging the CMAKE_INSTALL_PREFIX is used to specify where to install the files, but it
# may not be the same as where the package will put them, use RING_INSTALL_PREFIX to let the client
# know at runtime where to expect installed files to be located
SET(RING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX}
  CACHE PATH "prefix where the package will be installed on the user's system (eg: /usr/local); defaults to the CMAKE_INSTALL_PREFIX"
)

# Check if LRC's location is manually specified with -DLibRingClient_PROJECT_DIR
IF(LibRingClient_PROJECT_DIR)
   SET(LIB_RING_CLIENT_INCLUDE_DIR ${LibRingClient_PROJECT_DIR}/src)
   # TODO: maybe allow a way to specify a different build dir
   SET(LIB_RING_LIBRARY_INCLUDE_DIR ${LibRingClient_PROJECT_DIR}/build)

   # check for the existence of the directories;
   # if the dirs have missing or outdated files then we will just get build/link errors
   IF(EXISTS "${LIB_RING_CLIENT_INCLUDE_DIR}/")
      MESSAGE("will expect lrc headers in ${LIB_RING_CLIENT_INCLUDE_DIR}")
      IF(EXISTS "${LIB_RING_LIBRARY_INCLUDE_DIR}/")
         MESSAGE("will expect lrc libraries in " ${LIB_RING_LIBRARY_INCLUDE_DIR})
         SET(LibRingClient_FOUND true)
         SET(LIB_RING_CLIENT_LIBRARY ringclient)
      ELSE()
         MESSAGE( FATAL_ERROR "${LIB_RING_LIBRARY_INCLUDE_DIR} does not exist")
      ENDIF(EXISTS "${LIB_RING_LIBRARY_INCLUDE_DIR}/")
   ELSE()
      MESSAGE( FATAL_ERROR "${LIB_RING_CLIENT_INCLUDE_DIR} does not exist")
   ENDIF(EXISTS "${LIB_RING_CLIENT_INCLUDE_DIR}/")
ELSE(LibRingClient_PROJECT_DIR)
   FIND_PACKAGE(LibRingClient REQUIRED)
ENDIF(LibRingClient_PROJECT_DIR)

OPTION(USE_APPINDICATOR "Use AppIndicator instead of GtkStatusIcon for the systray (if appindicator3-0.1 is found)" ON)

# find packages
FIND_PACKAGE(PkgConfig REQUIRED)
PKG_CHECK_MODULES(GTK3 REQUIRED gtk+-3.0>=3.10)
FIND_PACKAGE(Qt5Core REQUIRED)
PKG_CHECK_MODULES(CLUTTER REQUIRED clutter-1.0)
PKG_CHECK_MODULES(CLUTTERGTK REQUIRED clutter-gtk-1.0)
PKG_CHECK_MODULES(EBOOK REQUIRED libebook-1.2>=3.10)
PKG_CHECK_MODULES(LIBNOTIFY libnotify>=0.7.6) #optional
FIND_PACKAGE(Gettext) #optional for translations
PKG_CHECK_MODULES(LIBQRENCODE libqrencode>=3.4)

IF(USE_APPINDICATOR)
    PKG_CHECK_MODULES(APPINDICATOR appindicator3-0.1) #optional
    IF(APPINDICATOR_FOUND)
        SET(HAVE_APPINDICATOR 1)
    ELSE()
        SET(HAVE_APPINDICATOR 0)
    ENDIF()
ELSE()
    SET(HAVE_APPINDICATOR 0)
ENDIF(USE_APPINDICATOR)

IF( LIBQRENCODE_FOUND )
    MESSAGE(STATUS "Found libqrencode version >= 3.4: " ${LIBQRENCODE_VERSION})
ELSE()
    MESSAGE(STATUS "libqrencode supported version NOT found. Will use the repo" )

    EXECUTE_PROCESS (COMMAND git submodule update --init)
    INCLUDE(ExternalProject)
        ExternalProject_Add(libqrencode
            GIT_SUBMODULES libqrencode
            SOURCE_DIR ${CMAKE_SOURCE_DIR}/libqrencode
            BINARY_DIR  ${CMAKE_SOURCE_DIR}/libqrencode
            INSTALL_DIR ${CMAKE_SOURCE_DIR}/libqrencode
            CONFIGURE_COMMAND ./autogen.sh
                COMMAND ./configure --prefix=${CMAKE_CURRENT_SOURCE_DIR}/libqrencode --disable-shared --enable-static
            BUILD_COMMAND ${MAKE})

    INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/libqrencode/include)
    LINK_DIRECTORIES(${CMAKE_SOURCE_DIR}/libqrencode/lib)
ENDIF()

# include libs
INCLUDE_DIRECTORIES(${GTK3_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${LIB_RING_CLIENT_INCLUDE_DIR})
INCLUDE_DIRECTORIES(SYSTEM ${Qt5Core_INCLUDE_DIRS} )
INCLUDE_DIRECTORIES(${CLUTTER_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${CLUTTERGTK_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${EBOOK_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${LIBNOTIFY_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${APPINDICATOR_INCLUDE_DIRS})

# link libs
LINK_DIRECTORIES(${GTK3_LIBRARY_DIRS})
LINK_DIRECTORIES(${LIB_RING_LIBRARY_INCLUDE_DIR})
LINK_DIRECTORIES(${Qt5Core_LIBRARY_DIRS} )
LINK_DIRECTORIES(${CLUTTER_LIBRARY_DIRS})
LINK_DIRECTORIES(${CLUTTERGTK_LIBRARY_DIRS})
LINK_DIRECTORIES(${EBOOK_LIBRARY_DIRS})
LINK_DIRECTORIES(${LIBNOTIFY_LIBRARY_DIRS})
LINK_DIRECTORIES(${APPINDICATOR_LIBRARY_DIRS})

# lib compiler flags
ADD_DEFINITIONS(${GTK3_CFLAGS})
ADD_DEFINITIONS(${GTK3_CFLAGS_OTHER})
ADD_DEFINITIONS(${LIB_RING_LIBRARY_CFLAGS})
ADD_DEFINITIONS(${Qt5Core_CFLAGS})
ADD_DEFINITIONS(${CLUTTER_CFLAGS})
ADD_DEFINITIONS(${CLUTTERGTK_CFLAGS})
ADD_DEFINITIONS(${EBOOK_CFLAGS})
ADD_DEFINITIONS(${LIBNOTIFY_CFLAGS})
ADD_DEFINITIONS(${APPINDICATOR_CFLAGS})

IF(NOT ${ENABLE_STATIC} MATCHES false)
  SET(QT5_MODULE_PATH ${QT5_PATH}/lib/cmake)
  FIND_PACKAGE(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus)
  FIND_PACKAGE(Qt5DBus REQUIRED)
  INCLUDE_DIRECTORIES(SYSTEM ${Qt5DBus_INCLUDE_DIRS} )
  LINK_DIRECTORIES(${Qt5DBus_LIBRARY_DIRS} )
  ADD_DEFINITIONS(${Qt5DBus_CFLAGS})
ENDIF()

# warnings
ADD_DEFINITIONS(
   -Wall
   -Wextra
   -Wno-cpp
   -Wmissing-noreturn
   -Wpointer-arith
   -Wcast-align
   -Wwrite-strings
   -Wformat-nonliteral
   -Wformat-security
   -Wswitch-enum
   -Winit-self
   -Wmissing-include-dirs
   -Wundef
   -Wmissing-format-attribute
   -Wno-reorder
   -Wunused
   -Wuninitialized
   -Woverloaded-virtual
   -Wsuggest-attribute=const
   -Wunused-value
   -Wdouble-promotion
   -Wnonnull
   -Wsequence-point
   -Wunused-but-set-parameter
   -Wsizeof-pointer-memaccess
   -Wvarargs
)

# more warnings
IF (CMAKE_COMPILER_IS_GNUCC)
   IF (GCC_VERSION VERSION_GREATER 4.9 OR GCC_VERSION VERSION_EQUAL 4.9)
      ADD_DEFINITIONS(
         -Wconditionally-supported
         -Wdate-time
         -Wdelete-incomplete
         -Wfloat-conversion
      )
   ENDIF()

   IF (GCC_VERSION VERSION_GREATER 5.0 OR GCC_VERSION VERSION_EQUAL 5.0)
      ADD_DEFINITIONS(
         -Wsuggest-override
         -Wsuggest-final-types
         -Wsuggest-final-methods
         -Wbool-compare
         -Wformat-signedness
         -Wlogical-not-parentheses
         -Wnormalized
         -Wshift-count-negative
         -Wshift-count-overflow
         -Wsized-deallocation
         -Wsizeof-array-argument
      )
   ENDIF()

ENDIF()

# get git version on every build
SET(GIT_REVISION_INPUT_FILE ${PROJECT_SOURCE_DIR}/src/revision.h.in)
SET(GIT_REVISION_OUTPUT_FILE ${PROJECT_BINARY_DIR}/revision.h)

ADD_CUSTOM_TARGET(
   git_revision ALL
   COMMAND ${CMAKE_COMMAND}
      -DGIT_REVISION_INPUT_FILE=${GIT_REVISION_INPUT_FILE}
      -DGIT_REVISION_OUTPUT_FILE=${GIT_REVISION_OUTPUT_FILE}
      -P ${CMAKE_SOURCE_DIR}/cmake/GitRevision.cmake
   COMMENT "generating ${GIT_REVISION_OUTPUT_FILE}"
)

ADD_CUSTOM_COMMAND(
   OUTPUT ${GIT_REVISION_OUTPUT_FILE}
   DEPENDS git_revision
)

# source files to compile
SET( SRC_FILES
   src/main.cpp
   src/ring_client.h
   src/ring_client.cpp
   src/ring_client_options.h
   src/ring_client_options.c
   src/ringmainwindow.h
   src/ringmainwindow.cpp
   src/incomingcallview.h
   src/incomingcallview.cpp
   src/currentcallview.h
   src/currentcallview.cpp
   src/models/gtkaccessproxymodel.h
   src/models/gtkaccessproxymodel.cpp
   src/models/gtkqtreemodel.h
   src/models/gtkqtreemodel.cpp
   src/utils/drawing.h
   src/utils/drawing.cpp
   src/video/video_widget.h
   src/video/video_widget.cpp
   src/models/gtkqsortfiltertreemodel.h
   src/models/gtkqsortfiltertreemodel.cpp
   src/accountview.h
   src/accountview.cpp
   src/accountgeneraltab.h
   src/accountgeneraltab.cpp
   src/accountaudiotab.h
   src/accountaudiotab.cpp
   src/accountvideotab.h
   src/accountvideotab.cpp
   src/accountadvancedtab.h
   src/accountadvancedtab.cpp
   src/accountsecuritytab.h
   src/accountsecuritytab.cpp
   src/models/activeitemproxymodel.h
   src/models/activeitemproxymodel.cpp
   src/defines.h
   src/video/xrectsel.h
   src/video/xrectsel.c
   src/dialogs.h
   src/dialogs.c
   src/mediasettingsview.h
   src/mediasettingsview.cpp
   src/generalsettingsview.h
   src/generalsettingsview.cpp
   src/backends/edscontactbackend.h
   src/backends/edscontactbackend.cpp
   src/native/pixbufmanipulator.h
   src/native/pixbufmanipulator.cpp
   src/contactsview.h
   src/contactsview.cpp
   src/historyview.h
   src/historyview.cpp
   src/utils/models.h
   src/utils/models.cpp
   src/utils/calling.h
   src/utils/calling.cpp
   src/ringnotify.h
   src/ringnotify.cpp
   src/utils/files.h
   src/utils/files.cpp
   ${GIT_REVISION_OUTPUT_FILE}
   src/utils/menus.h
   src/utils/menus.cpp
   src/utils/accounts.h
   src/utils/accounts.cpp
   src/contactpopover.h
   src/contactpopover.cpp
   src/choosecontactview.h
   src/choosecontactview.cpp
   src/editcontactview.h
   src/editcontactview.cpp
   src/native/dbuserrorhandler.h
   src/native/dbuserrorhandler.cpp
   src/ringwelcomeview.h
   src/ringwelcomeview.cpp
   src/recentcontactsview.h
   src/recentcontactsview.cpp
   src/chatview.h
   src/chatview.cpp
   src/avatarmanipulation.h
   src/avatarmanipulation.cpp
)

# compile glib resource files to c code
GLIB_COMPILE_RESOURCES( GLIB_RESOURCES_RING
   SOURCE
      pixmaps/pixmaps.gresource.xml
      ui/ui.gresource.xml
)

# IF(${ENABLE_TEST} MATCHES true)
#    ADD_SUBDIRECTORY( src/test)
# ENDIF()

# for translations
IF (GETTEXT_FOUND)

  # get all translation files; they're expected to be named using the following convention:
  # '<lang code>[_<country code].po'
  # eg: fr_CA.po (the country code is optional)
  FILE(GLOB PO_FILES ${CMAKE_SOURCE_DIR}/po/*.po)

  # Install each of the translation files
  FOREACH(PO_FILE IN LISTS PO_FILES)
    # extract the language (and optional country code) from the filename
    GET_FILENAME_COMPONENT(LANG ${PO_FILE} NAME_WE)
    GETTEXT_PROCESS_PO_FILES(${LANG} ALL PO_FILES ${PO_FILE})

    SET(TRANSLATIONS_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/locale/${LANG}/LC_MESSAGES)

    # install to share/locale and rename each to ring-client-gnome.mo
    INSTALL(
      FILES ${PROJECT_BINARY_DIR}/${LANG}.gmo
      DESTINATION ${TRANSLATIONS_INSTALL_DIR}
      RENAME ${PROJECT_NAME}.mo
    )
  ENDFOREACH(PO_FILE)

ENDIF(GETTEXT_FOUND)

# install and compile glib gsettings schema
add_schema("cx.ring.RingGnome.gschema.xml" GSCHEMA_RING)

ADD_EXECUTABLE(gnome-ring ${GLIB_RESOURCES_RING} ${GSCHEMA_RING} ${SRC_FILES})

ADD_DEPENDENCIES(gnome-ring libqrencode)

IF(NOT ${ENABLE_STATIC} MATCHES false)
TARGET_LINK_LIBRARIES(gnome-ring
   ${LIB_RING_CLIENT_LIBRARY}
   ${GTK3_LIBRARIES}
   ${Qt5Core_LIBRARIES}
   ${Qt5DBus_LIBRARIES}
   ${CLUTTER_LIBRARIES}
   ${CLUTTERGTK_LIBRARIES}
   ${EBOOK_LIBRARIES}
   ${LIBNOTIFY_LIBRARIES}
   ${APPINDICATOR_LIBRARIES}
   -lpthread
   -lrt
   -lqrencode
   )
ELSE()
TARGET_LINK_LIBRARIES(gnome-ring
   ${LIB_RING_CLIENT_LIBRARY}
   ${GTK3_LIBRARIES}
   ${Qt5Core_LIBRARIES}
   ${CLUTTER_LIBRARIES}
   ${CLUTTERGTK_LIBRARIES}
   ${EBOOK_LIBRARIES}
   ${LIBNOTIFY_LIBRARIES}
   ${APPINDICATOR_LIBRARIES}
   -lqrencode
   )
ENDIF()

# configure libnotify variable for config.h file
IF( LIBNOTIFY_FOUND )
   SET(USE_LIBNOTIFY 1)

=== libavutil/x86/Makefile ===
OBJS += x86/cpu.o                                                       \
        x86/fixed_dsp_init.o                                            \
        x86/float_dsp_init.o                                            \
        x86/lls_init.o                                                  \

OBJS-$(CONFIG_PIXELUTILS) += x86/pixelutils_init.o                      \

EMMS_OBJS_$(HAVE_MMX_INLINE)_$(HAVE_MMX_EXTERNAL)_$(HAVE_MM_EMPTY) = x86/emms.o

YASM-OBJS += x86/cpuid.o                                                \
             $(EMMS_OBJS__yes_)                                      \
             x86/fixed_dsp.o                                            \
             x86/float_dsp.o                                            \
             x86/lls.o                                                  \

YASM-OBJS-$(CONFIG_PIXELUTILS) += x86/pixelutils.o                      \

=== daemon/tools/build-system/launchpad/mozilla-telify-sflphone/debian/changelog ===
mozilla-telify-sflphone (1.0) unstable; urgency=low

  [ Julien Bonjean ]
  * Package update

 -- Julien Bonjean <julien.bonjean@savoirfairelinux.com>  Fri, 21 Apr 2010 19:51:54 +0100

mozilla-telify-sflphone (0.4.7.3) unstable; urgency=low

  [ Julien Bonjean ]
  * Package creation

 -- Julien Bonjean <julien.bonjean@savoirfairelinux.com>  Fri, 20 Nov 2009 19:51:54 +0100

=== daemon/tools/build-system/launchpad/sflphone-kde/debian/changelog ===
sflphone-kde (1.4.0) SYSTEM; urgency=low
  * See website at www.sflphone.org for more details

 -- Emmanuel Lepage Vallee <emmanuel.lepage@savoirfairelinux.com>  Tue, 7 Jun 2012 11:38:30 -0500

sflphone-kde (1.1.0-rc20120607~ppa1~SYSTEM) SYSTEM; urgency=low

    ** SNAPSHOT 1.1.0-rc20120607~ppa1~SYSTEM **

  * [ #12096 ] Implement more calls details, make it more scalable
  * [ #11290 ] Update french translation
  * [ #11859 ] Fix a regression in name conversion
  * [ #11850 ] Fix a little regression
  * [ #11859 ] Fix sorting by popularity
  * [ #11569 ] Fix filter
  * [ #12003  ] Add icon overlay for history item
  * [ #11886 ] Add basic reverse peer naming support
  * kde/callview: removed trailing whitespace
  * [ #12008 ] Implement GUI part
  * [ #11988 ] Move ringtone to a new tab
  * [ #11990 ] Fix history delegate width
  * [ #11990 ] Make call item height configurable
  * [ #7007 ] Fix many history bugs and add 'copy' contextual menu
  * [ #7007 ] Add more contextual options
  * [ #11963 ] Move ringtone to account
  * [ #7003 ] Implement more drag and drop
  * [ #11888 ] Add support for previous timestamp
  * [ #11887 ] Drop phonon dependency
  * [ #11887 ] Use daemon player instead of phonon
  * [ #11889 ] Fix a regression
  * [ #11889 ] Fix a regression
  * [ #11861 ] Fix memory leak
  * [ #11861 ] Little profiling
  * [ #11850 ] Reimplement most destructor
  * [ #11847 ] Move unregister back into SFLPhoneApplication
  * [ #11847 ] Fix the unregister signal
  * [ #11846 ] Fix the text message box behavior
  * [ #11845 ] Refactor menus, duplicate display dock options
  * [ #11731 ] Fix visual glitch when hang up, harden against 0
    participant conference
  * [ #11798 ] Implement basic signal handling, it does not seem to be
    enough, but it help
  * [ #11815 ] Make double click call instead of queing items
  * [ #11822 ] Add configuration options
  * [ #11814 ] Add selection again
  * [ #3912 ] Finally make double clicking work, it was the last client
    bug, the other one is in the daemon
  * Fix plasmoid
  * [ #11733 ] Update the state machine to handle conferences correctly,
    not just ignore them
  * * #11252: daemon: removed deprecated zrtp code
  * [ #11385 ] Removing account work again
  * [ #11435 ] Fix trasfer, it apparently never worked, there was a bug
    in the state machine path
  * [ #11621 ] Support conferences in init
  * [ #3905 ] Fix the oldest KDE open bug, edit the conference pixmap
  * [ #11573 ] Add paste option
  * [ #11574 ] Add a account status label in status bar
  * [ #11577 ] Add a timer label
  * [ #11572 ] Implement accent independent filter for history and
    bookmark
  * [ #11572 ] Implement accent independent filter for contact
  * [ #11576 ] Implement optional contact details
  * [ #10222 ] Change default caller name from Unknown to his/her phone
    number
  * [ #11337 ] Add/Restore keyboard call selection
  * [ #11337 ] Add more accessibility options
  * [ #11337 ] Add basic text to speech status for calls
  * [ #11290 ] Fix dynamic translation
  * [ #11290 ] Update french translation
  * [ #11290 ] Add missing i18n() call, it should be translatable again
  * Make dependencies check more enforced for submodules
  * * #11269: merged master into video
  * [ #11255 ] Code polishing
  * [ #10222 ] Call again on double click
  * [ #11219 ] Change license to LGPLv2 for libraries
  * [ #7022 ] Make the new plasmoid the default, remove the old one, end
    of an era
  * [ #7022 ] Merge the new plasmoid branch, the older one is still the
    default
  * [ v1.1 ] Update version number
  * [ #10724 ] Add more dataengine services
  * [ #10724 ] Add bookmarks to the dataengine
  * [ #10724 ] Add bookmarks to the dataengine
  * [ #10724 ] Make contact sorting work for some sorting type
  * [ #10724 ] Refactor sorting in the KDE library, implement contact in
    the dataengine
  * [ #10724 ] Move the dataengine to the new KDE lib
  * [ #10724 ] Refactor data engine and split akonadi support out of the
    client to make the dataengine more future proof
  * Fix missing phonon
  * Fix compilation warning on old GCC
  * [ #10222 ] Fix warnings
  * [ #10380 ] Can't send message without a call
  * [ #10222 ] Test configuration dialog, fix it, implement basic
    messaging
  * [ #10222 ] Fix saving default history sorting
  * [ #10222 ] Use categorized Tree for history
  * [ #10222 ] Fix contact sorting
  * [ #10222 ] Async update for bookmark dock
  * [ #10222 ] Fix issues with account config dialog
  * [ #10222 ] Use categorized views, fix bookmark
  * [ #10222 ] Fix minor itches and bugs
  * [ #10121 ] Sync the KDE with daemon, fix a few issues and implement
    a recorded call player
  * * #10018: renamed registration related keys in dbus
  * * #8542: removed trailing whitespace from tree
  * * #8357: gnome client now works with new dbus video API
  * * 8487: cleanup in dbus
  * * #8450: fixed confusion between expire and enable values
  * * #8435: Remove typos
  * cleanup in xml files
  * Revert "Merge branch 'master' of
    git+ssh://git.sflphone.org/var/repos/sflphone/git/sflphone"
  * * #7264: gnome client now saves/loads history as List of Dicts.
  * [ #7901 ] Cleanup the changes
  * [ #7901 ] Fix compiler warnings
  * [ #7901 ] Do not show the conf button when in the same conference
  * [ #7929 ] Add some client side work around until it is fixed
  * [ #7901 ] Cosmetic and bug fixes
  * [ #7901 ] It is far from beautiful, but it work in most cases
  * [ #7901 ] Partial rewrite of the drag and drop event, does not
    really work
  * [ #7899 #7900 ] Fix toolbar icons
  * Remove useless icon in toolbar
  * [ #7876 ] qDebug -> kDebug (to be able to disable them using KDE
    gui)
  * [ #7876 ] Remove unneeded comments
  * [ #7887 ] 7% faster load time
  * [ #7887 ] Fix warning
  * [ #7887 ] Prevent most useless object copy
  * [ #7874 ] Twice less lines, same result
  * [ #7876 ] Remove unused class attribute, rename all attribute use


=== daemon/tools/build-system/launchpad/sflphone-video/debian/changelog ===
sflphone-video (1.1.0-rc20120607~ppa1~SYSTEM) SYSTEM; urgency=low

    ** SNAPSHOT 1.1.0-rc20120607~ppa1~SYSTEM **

  * * #12071: audiopreferences: fix make check
  * * #12071: cleanup
  * #12071: Lower expat dependency version
  * * #12085: alsa: fix ringtone update bug, cleanup
  * #12071: Fix pulseaudio compilation error
  * #12071: Make pulseaudio optional at configuration time
  * * #12091: daemon: issue warning if falling back to ALSA
  * video: fixed make check
  * *#12085: alsa: don't segfault on snd_pcm_avail_update error
  * #12070: Add --without-pulse option
  * * #12055: video: fix build for older libav
  * [ #11886 ] cleanup
  * [ #11886 ] Add basic reverse peer naming support
  * [ #12008 ] Implement GUI part
  * * #12012: video: fix some regressions
  * * #12002: yamlparser: don't wipe out config if going from normal
    build to --enable-video
  * [ #12008 ] Add ConfigurationManager::getRingtoneList()
  * * #12002: video: fix config file serialization/deserialization
  * * #11987: managerimpl: fix bugs in conference when removing
    participants
  * * #11987: manager: fixed transfer from conference
  * * #11987: mainbuffer: cleanup logging
  * * #11979: pulse: fixed mismatched device list
  * * #11971: audiolayer: fix bugs with getDeviceList
  * * #11960: manager: validate conference earlier when processing
    participants
  * * #11960: manager: fixed segfault on transfer from conference
  * * #11966: IP2IP: make alias consistently IP2IP
  * * #11965: sipvoiplink: add more error checking in SDP negotiation
  * * #11964: mainbuffer/ringbuffer: cleanup API
  * sdp: remove unused variable warning
  * * #11941: video: fix deprecated libav_api warnings
  * * #11949: pulselayer: fix bug in getDeviceList
  * video: whitespace fixes
  * * #11951: video: fixed threading issues for ucommon Thread
  * [#11848] Properly disable testPulseConnect
  * [#11848] Disable pulseConnect test
  * sdp: cleanup
  * sdp: cleanup
  * * #11860: mainbuffer: remove dead and/or buggy code
  * * #11851: sdp: fixed gcc type narrowing warnings
  * * #11851: audiostream: fixed gcc type narrowing warnings
  * * #11841: don't put code with side effects in assert()
  * * #11840: audiortp: remove some global symbols/variables
  * * #11828: audiofile: fix broken build
  * * #11828: audioloop: don't shadow sampleRate variable in derived
    classes
  * * #11818: gnome: stop daemon on SIGTERM, SIGINT or SIGHUP
  * * #11499: daemon should also quit gracefully on SIGHUP
  * * #11813: daemon configure should fail if expat is not installed
  * #10304: updatePlaybackScale dbus method uses int 32 bit for size and
    position (allow for 24 days long recording playback)
  * #10304: Add time lable for seekslider
  * * #11780: sip: don't use abort or leak calls on error and don't
    restrict SDP size to 1000 bytes in transaction_request_cb
  * * #11735: daemon: added timestamp start to call details
  * * #10304: historyitem: added operator > defined in terms of operator
    <
  * * #11252: historyitem: added missing unistd.h header
  * * #11252: daemon: removed deprecated zrtp code
  * * #11728: yaml: check that nodes are valid before using them.
  * * #10797: send DTMF over RTP as per RFC2833
  * * #11706: managerimpl: added unsetCurrentCall method
  * * #11698: daemon: fix build for c++11
  * * #10304: historyitem: file_exists need not be a member method
  * * #11499: managerimpl: don't crash if signal and dbus try and finish
    the manager at the same time
  * #10304: Prevent from storing removed files in history
  * * #11499: daemon: Exit cleanly on SIGINT or SIGTERM
  * * #10226: audiocodecfactory: use array instead of vector for codec
    name lookup
  * * #10226: audiocodecfactory: make codec loading stricter
  * #10304: RCecale positions and size values for playback recording
  * #11530: Make sure that only appropriate configuration option are
    parsed for IP2IP calls
  * * 11480: video: disabled by default
  * * #11459: history: protect historyitems vector with mutex
  * * #11448: fix video preferences for empty camera list
  * #10304: Implemented playback seek in gnome client
  * * #11269: video: fix codec per account management
  * #10304: Implemented playback scale in gnome client
  * Fix includes for gcc 4.7
  * * #11269: make clearer distinction between codecs and audiocodecs
  * * #11269: merged master into video
  * * #10296: managerimpl: more usage of getCallFromCallID
  * * #10296: verify that calls exists before trying to join them in a
    conference
  * * #11208: bump version numbers for release 1.1.0
  * managerimpl: rename ManagerImpl::serialize/unserialize ->
    join_string/split_string
  * Fix warnings in resampler test
  * * #10732: sipvoiplink: fix code that validates IP address
  * Add historyChanged signal, better than managing it client side
  * #10795: fix sipaccount deserialisation broken
  * #10736: implement getConferenceId dbus method given a call id
  * #10736: do not use iterator in daemon when joining conferences
  * #10736: Fix joining conferences in daemon
  * * #10736: gnome: fix crash on restart with active conference
  * managerimpl: removed unused pulselayer.h header
  * Save history everytime it change, prevent the file never to be saved
    in some senario (SIG, crash, ASSERT, etc)
  * * #10320: manager: check that participants are unique before joining
  * #10335: Add a noise suppressor for incoming rtp streams
  * * #10322: sip: registration state should not be always set to
    ErrorAuth on error
  * #10220: Fix recording thread does not exit when hanging up while
    recording
  * * #9903: fix includes for new ccrtp
  * #10230: Get back default mainbuffer sampling rate to 8kHz, no need
    of decoding noise suppressor
  * #10230: Use a different samplerate converter for rtp encoding and
    decoding
  * * #9903: create DynamicPayloadFormat on stack, initialize earlier
  * * #9903: audiorecorder: initialize buffer to silence, not random
    data


=== daemon/tools/build-system/launchpad/mozilla-telify-sflphone/debian/control ===
Source: mozilla-telify-sflphone
Section: web
Priority: optional
Maintainer: Julien Bonjean <julien.bonjean@savoirfairelinux.com>
Uploaders: Julien Bonjean <julien.bonjean@savoirfairelinux.com>
Build-Depends: debhelper (>= 7), unzip
Homepage: http://www.sflphone.org
Standards-Version: 3.8.3
DM-Upload-Allowed: yes

Package: mozilla-telify-sflphone
Depends: firefox-gnome-support, sflphone-gnome
Architecture: all
Description: This package provides telify firefox plugin and handler for SFLphone.
 Telify recognizes phone numbers on web pages and converts them to clickable links.
 Additionally, any text can be selected and handled as a phone number (including
 vanity number conversion) by selecting the corresponding context menu item.
 http://www.codepad.de/en/software/firefox-add-ons/telify.html

=== daemon/tools/build-system/launchpad/sflphone-video/debian/control ===
Package: sflphone-video
Section: gnome
Priority: optional
Architecture: all
Depends: sflphone-daemon-video, sflphone-gnome-video
Maintainer: Savoir-faire Linux Inc <emmanuel.milou@savoirfairelinux.com>
Description: GNOME client for SFLphone, with video support
 Provide a GNOME client for SFLphone.
 SFLphone is meant to be a robust enterprise-class desktop phone.
 SFLphone is released under the GNU General Public License.
 SFLphone is being developed by the global community, and maintained by
 Savoir-faire Linux, a Montreal, Quebec, Canada-based Linux consulting company.
